Skip to main content
PATCH
Update App

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required

Body

application/json

Request body for updating an app.

name
string | null
Required string length: 2 - 40
Pattern: ^[a-z][a-z0-9-]*[a-z0-9]$
runtime
string | null
access_mode
enum<string>
default:public
Available options:
public,
accounts
access_policy
enum<string> | null

Access policy for ACCOUNTS-mode apps.

Available options:
invite,
domain,
open

Response

Successful Response

Response for a single app.

id
string<uuid>
required
name
string
required
org_id
string<uuid>
required
status
string
required
access_mode
enum<string>
required

Access control mode for an app.

Available options:
public,
password,
accounts,
sso
url
string | null
required
runtime
string | null
required
health_status
enum<string>
required

Health check status of an app.

Available options:
healthy,
unhealthy,
unknown
last_health_check_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
effective_status
string | null
runtime_status
string | null
deploy_status
string | null
active_deploy_id
string | null
active_deploy_step
string | null
last_deploy_id
string | null
last_deploy_outcome
string | null
last_deploy_failure
string | null
last_deploy_failure_stage
string | null
inferred_health_flags
Inferred Health Flags · object
access_policy
enum<string>
default:invite

Access policy for ACCOUNTS-mode apps.

Available options:
invite,
domain,
open
runtime_url
string | null
github_connected
boolean | null
events
AppEventsSummary · object | null

Content-free events routing summary embedded in AppResponse.

envs
EnvironmentSummary · object[]
services
ServiceSummary · object[]